<?php
/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4: */
// +----------------------------------------------------------------------+
// | PHP version 4/5                                                      |
// +----------------------------------------------------------------------+
// | This source file is a part of iScripts Multicart                     |
// +----------------------------------------------------------------------+
// | Authors: Programmer<programmer@armia.com>        		              |
// +----------------------------------------------------------------------+
// | Copyrights Armia Systems, Inc and iScripts.com � 2005                |
// | All rights reserved                                                  |
// +----------------------------------------------------------------------+
// | This script may not be distributed, sold, given away for free to     |
// | third party, or used as a part of any internet services such as      |
// | webdesign etc.                                                       |
// +----------------------------------------------------------------------+
?>
<?php
include "../includes/config.php";
include "../includes/session.php";
include "../includes/functions.php";

if(isset( $_SESSION["sess_adminname"]) and $_SESSION["sess_adminname"]!= ""){
	$adminname = $_SESSION["sess_adminname"];
}else{
	header("Location:login.php");
	exit;
}




if(isset($_GET["txtSearch"]) and $_GET["txtSearch"]!="")
{
	$txtSearch = $_GET["txtSearch"];
	$cmbSearchType = $_GET["cmbSearchType"];
}
else if(isset($_POST["txtSearch"]) and $_POST["txtSearch"]!="")
{
	$txtSearch = $_POST["txtSearch"];
	$cmbSearchType = $_POST["cmbSearchType"];
}


/*---------Patch-----------*/


if(isset($_GET['msg']))
{
	$message = PLANS_UPDATED;
}

/*---------Patch-----------*/
if($_GET['delete_permanent'] == 'Y' && $_GET['delete_status']<>"")
{	
	$delete_coupon = "DELETE FROM ".$tableprefix."sellerPlans WHERE plan_Id = ".$_GET['delete_status'];
	mysql_query($delete_coupon) or die(mysql_error());
	header("Location:".$_SERVER['PHP_SELF']);

}



if(isset($_POST['gotoPage']))
{

	header("Location:".$_SERVER['PHP_SELF']."?page=".$_POST['gotoPage']);
	
		
}

$qryopt="";
if($txtSearch != "")
{

	
   if($cmbSearchType == "couponname")
   {
    	$qryopt .= "  AND product_name  like '" . addslashes($txtSearch) . "%'";
   }
   if($cmbSearchType == "couponamount")
   {
   		$qryopt .= "  AND product_price = '".$txtSearch."'";
   }
}

if(isset($_GET['status']))
{
	if($_GET['status']<>""){
	$sql_updateStatus="update ".$tableprefix."sellerPlans SET plan_Status='".trim($_GET['cmd'])."' WHERE  plan_Id=".trim($_GET['status']);
	mysql_query($sql_updateStatus);
	header("Location:sellerPlanes.php?qstring=".$_GET['qstring']);
	}

}


 $sql = "SELECT plan_Id, plan_Title,plan_Description,plan_Status,plan_SubscriptionCharge,plan_Period
		FROM ".$tableprefix."sellerPlans ".
		  $qryopt . " ORDER BY plan_Id DESC";
	if(!(isset($pagenum)))
	{
		$pagenum = 1;
	} 
	
	$limit = getSettingsValue('npagination_limit');
	
	$page = isset($_GET['page'])? trim($_GET['page']):1;

	
	$page = $_GET['page'];
	
	if(empty($page))
	{
		$page = 1;
	}
	
	$result=mysql_query($sql) or die(mysql_error());						
	
	$totalrows = mysql_num_rows($result);
	
	$limitvalue = ($page - 1) * $limit;
	
	$query_string = " LIMIT $limitvalue, $limit";
	
	$sql = $sql.$query_string;
	   
	$rs = mysql_query($sql) or die(mysql_error());

	$numofpages = ceil($totalrows / $limit);


include "../includes/htmltop.php";
?>
<script language="JavaScript" type="text/JavaScript">
function clickSearch()
{

  var form_name = new Array('txtSearch');		
  var display_name = new Array('Search Keyword');
  var count = 1;	

  if(check_fields('frmGiftCoupon',form_name,display_name,count))	
  {
  
  	
	 document.frmGiftCoupon.submit();	
   
  }
  else
  {
  
  		return false;
  
  }
     
}


function blockCertificate(val)
{

			
	if(val == 'N')
	{

		return confirm('<?php echo DISABLE_CC;?>')
	
	}
	else if(val == 'Y')
	{
	
		return confirm('<?php echo ENABLE_CC;?>')
	
	}	

}

function deleteCoupon()
{
	return confirm('<?php echo ARE_YOU_SURE_DELPLAN;?>');
}

</script>

		<body>
		
		<center>
		
		<div align="left" id="layout">
		
		
				
				
				<!--header area start -->
<?php

	include_once("../includes/topheader_admin.php")

?>
				
				<!--header area end -->
				
				
				
				
				<div align="left" class="main_body">
				<!--main body start -->
				
				
				
<?php
		include_once("../includes/admintopmenu.php")
?>		
																					
								
					<div align="left" class="content_area">
					
					<!--content area start -->
							
					<div align="left" class="page_title"><?php echo SELLER_PLANS;?></div>
					<div align="center" class="text_information grey_tr"><?php echo $message?></div>
            		<br>
											
					<div align="left">			
																
				<form action="" method="get" name="frmGiftCoupon">
									
						<table width="100%" border="0" cellpadding="0" cellspacing="0" class="manage_top">
							<tr>
								<td width="75%" align="left" valign="middle" class=''>
<!--								Search ::
									<select name="cmbSearchType" class="textbox">
									<option value="couponname" <?php if($cmbSearchType == "couponname" || $cmbSearchType == ""){ echo("selected"); } ?>>Certificate Name</option>
									<option value="couponamount"  <?php if($cmbSearchType == "couponamount" || $cmbSearchType == ""){ echo("selected"); } ?>>Amount</option>
									</select> &nbsp;
									<input type="text" name="txtSearch" size="20" maxlength="50" value="<?php echo(htmlentities($txtSearch)); ?>" class="textbox">
									&nbsp;
									<a style="cursor:pointer" onClick="return clickSearch();"><img src='<?php echo $imagefolder;?>/go.jpg' border='0'></a>
									-->
								</td>
                                                                <td align="right"><a href="sellerPlanes_add.php" style="cursor:pointer" class="add_new_button"><?php echo BTN_ADD_NEW; ?></a></td>
							</tr>
						</table>
						
					
				</form>
				
				</div>
						
					<div align="left">
						
					<form action="" method="post" name="frmGiftCoupon1">
					
						<table border="0" width="100%" cellpadding="0" cellspacing="0" class="manage_table">
						
							<tr class="">
								<th width="2%">#</th>
								<th width="16%" class=""><?php echo TITLE;?></th>
								<th width="17%"><?php echo DESCRIPTION;?></th>
								<th width="24%"><?php echo SUBSCRIPTION_CHARGE;?>( <?php echo $adminCurrency['currency_symbol'];?> )</th>
								<th width="8%" align="center"><?php echo STATUS;?></th>
								<th width="13%"><?php echo ACTIONS;?></th>
								<th width="20%">&nbsp;</th>
							</tr>
<?php
if(mysql_num_rows($result) > 0 )
{
	$i = 1;
	
	while($row = mysql_fetch_array($rs))
	{

		
														
?>
								<tr class="">
									<td valign="top"><?php echo $i?></td>
									<td  valign="top" align="left" ><?php echo $link .$row["plan_Title"]."</a>";?></td>
								<td  valign="top" align="left" ><?php 
								if(strlen($row["plan_Description"])>30)
								echo substr($row["plan_Description"], 0, 250).'....';
								else
								echo htmlentities($row["plan_Description"]);
								
								?></td>
								
								<td align="center"  valign="top" ><?php echo $adminCurrency['currency_symbol'];?> &nbsp;<?php echo $link .htmlentities(number_format($row["plan_SubscriptionCharge"],2,".",""))."</a>";?></td>									
									<td align="center"  valign="top">
                                      <?php if($row["plan_Status"]=="Y") echo "<a href='sellerPlanes.php?cmd=N&status=".$row["plan_Id"]."'><font color='#009966'><strong>".ACTIVE."</strong></font></a>"; else echo "<a href='sellerPlanes.php?cmd=Y&status=".$row["plan_Id"]."'><font color='#FF0000'><strong>".INACTIVE."</strong></font>"; ?></td>									
                                                                        <td align="center"  valign="top"><a href="sellerPlanes_edit.php?edit_id=<?php echo $row["plan_Id"]?>&qstring=<?php echo $_SERVER['QUERY_STRING']?>"><img src="../images/btn_edit.gif" border="0" title="<?php echo TITLE_EDIT; ?>"></a>&nbsp;/&nbsp;<a href="sellerPlanes.php?delete_status=<?php echo $row['plan_Id']?>&delete_permanent=Y" style="cursor:pointer" onClick="return deleteCoupon('<?php echo $row['plan_Id']?>')"><img src="../images/btn_del.gif" border="0" title="<?php echo TITLE_DELETE; ?>"></a></td>
									<td align="center"  valign="top"><a href="listSellersPlanwise.php?planval=<?php echo $row['plan_Id'];?>"><?php echo VIEW_SELLER_PLAN;?></a></td>	
								</tr>
<?php
	$i++;
	
	}
											
}
else
{
										
?>					
							<tr>
									<td align="center" valign="middle" colspan="5"  class="text_information"><?php echo NO_RECORDS_FOUND;?> !!</td>
							</tr>					
<?php										
}


							if($page > 1)
							{
								$pageprev = $page-1;
								
								$previous_page = "<a href=".$_SERVER['PHP_SELF']."?page=$pageprev alt='Previous' border='0'><img src='../images/previous_btn_admin.gif' alt='Next' border='0'/></a>";
								
							}
																											
																				
							if($page < $numofpages)
							{
								$pagenext = ($page + 1);
								
								$next = "<a href=".$_SERVER['PHP_SELF']."?page=$pagenext alt='Next' border='0'><img src='../images/next_btn_admin.gif' alt='Next' border='0'/></a>";
								
							}	




							  if($numofpages)
							  {
							  ?><tr>
											<td class="page_nos"  align="center" colspan="3"><?php echo $previous_page?>&nbsp;<?php echo $next?></td>
											<td align="right" valign="middle" class="page_nos" colspan="2"><?php echo PAGE."(".S.")";?> <?php echo $page ?>/<?php echo $numofpages?>&nbsp;&nbsp;<?php echo GO_TO;?>
											  <select name="gotoPage">
  <?php
									for($i=1;$i<=$numofpages;$i++)
									{		
										
										
										if($i == $_GET['page'])
										{
											$page_selected = "selected";
										}
										else
										{
											$page_selected = "";
										}
										
										
?>									
									  <option value="<?php echo $i?>" <?php echo $page_selected?>><?php echo $i?></option>
									  
<?php
									}
									
?>									
										        </select>	
										      <a onClick="Javascript:document.frmGiftCoupon1.submit();" style="cursor:pointer"><img src="../images/go_btn.gif" alt="" width="37" height="19" /></a>										</td>
										</tr><?php
										}
										?>
										</table>
					  </form>
										
																	

						</div>
						
						
				<!--content area end-->
								
				</div>
				
								
					<div align="left" class="clear_float"><img src="<?php echo $imagefolder;?>/clear.gif" alt="" width="1" height="1" /></div>
				<!--main body end -->
				</div>
				
				
<?php
	include "../includes/footer.php";
?>